"use strict";

exports.__esModule = true;
exports.default = void 0;

var _universalEnv = require("universal-env");

var _dom = _interopRequireDefault(require("./dom"));

var _weex = _interopRequireDefault(require("./weex"));

var _driverKraken = _interopRequireDefault(require("driver-kraken"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var currentDriver;

if (_universalEnv.isWeex) {
  currentDriver = (0, _weex.default)();
} else if (_universalEnv.isWeb) {
  currentDriver = (0, _dom.default)();
} else if (_universalEnv.isKraken) {
  currentDriver = (0, _driverKraken.default)();
} else {
  throw new Error('Your environment was not supported by driver-universal.');
}

var _default = currentDriver;
exports.default = _default;